  /*
  * CSS API FILE
  *   Copyright © Raphaël Castello - 2021
  *   Script name : api.css
  * Company - SNS -  Web & Informatique
  *
  * Contacts : < contact@sns.pm >
  *               www.sns.pm
  * Framework : Placido-Shop
  */

  /* API  */

  /* scroll bar  */
  /* width */
  ::-webkit-scrollbar {
    width: 15px;
        background: #f1f1f1;
  }

  /* thumb */
  ::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: linear-gradient(270deg
    , #949494, #fdfdfd1a);
    border-radius: 50px;
  }
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    /* background: #16b8ff;
    background: #f1f1f1; */
    background: linear-gradient(270deg
    , #f1f1f1, #fdfdfd1a);

  }

  /* Track */
  ::-webkit-scrollbar-track {
      background: #676767;
  }
  /* scroll bar  */

	/* COLORS */
  :root {
    --bluegr : #537381;
  }

  html {
    scroll-behavior: smooth;
    text-rendering: optimizeLegibility;
  }
  html, body {
    color: #777;
    font-size: 16px;
    line-height: 1.5;
    font-family: 'Roboto', sans-serif;
    background-color: #fff;
  }

  p {
    color: #292929;
  }
  p, div, footer, span, a, i {
    font-size: 20px;
  }

  input, textarea {
	    user-select: text;
	    margin: 5px 0 20px;
	}
	textarea {
		resize: vertical;
	}

  a:focus,
  button:focus,
  input:focus,
  select:focus,
  textarea:focus {
    outline: none !important;
  }

  /* ADD to future custom ! */
  .underline:hover {
    text-decoration: none;
  }

  /* Overrride custm.css */
  .small {
      font-size: 17px !important;
  }
  .medium {
      font-size: 18px !important;
  }
	.large {
			font-size: 20px !important;;
	}
  .xlarge {
      font-size: 22px !important;
  }
  .fw100 {
    font-weight: 100 !important;;
  }
  .fw400 {
    font-weight: 400 !important;;
  }
  .fw500 {
    font-weight: 500 !important;;
  }
  .fw600 {
    font-weight: 600 !important;;
  }
  .margin-bottom {
      margin-bottom: 30px !important;
  }
  hr {
    border: 0;
    border-top: 1px solid #c3c3c3;
    margin: 36px 20px;
  }
  .block {
    display: block;
  }
	h1 {
		font-size: 20px;
	}
	h2 {
		font-size: 26px;
		margin: 0;
	}
	h3 {
		font-size: 23px;
		margin: 0;
	}
	/* Overrride custom css */
	.black, .hover-black:hover {
	    color: #fff!important;
	    background-color: rgb(0 0 0 / 68%)!important;
	}
	.top {
	    top: 0 !important;
	}
	.light-grey, .hover-light-grey:hover, .light-gray, .hover-light-gray:hover {
	    color: #000!important;
	    background-color: #e0dfdf!important;
	}
	.bold {
	    font-weight: 600 !important;
	    color: #6b6b6b;
	}

  /* TEMPLATE  */

  header#header_bar {
		display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
    justify-content: space-between;

    max-width: 1200px;
    margin: 0 auto 0;
		left: 50%;
		top: -400px;
    transition: top 0.5s;
	}

  header h1 {
		font-size: 20px;
		letter-spacing: 2px !important;
  }
	header nav {
		width: 50%;
		text-align: right;
	}
	#header_bar.top {

		transform: translateX(-50%);
	}
  main {
    background: #fff;
    position: relative;
    overflow: hidden;
		min-height: 37em;
  }
  main, footer {
    max-width: 1200px;
    margin: 0 auto;
  }
	footer {
		margin-top: 65px;
		display: flex;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
		padding: 16px 16px 32px;
	}
	footer i, footer a, footer p {
		color: #fff;
	}


  #mySidebar button,
	#mySidebar a {
	    margin: 4px 4px 0px 0px;
	    padding: 2px 10px 1px;
	    font-weight: 400;
	    background: #fff;
	    font-size: 19px;
	    border-radius: 4px;
	}

  #mySidebar {
      z-index: 20;
			overflow: auto;
      width: 300px;
      height: 100%;
      font-size: 18px;
      background: #dfdfdf;
      position: fixed;
      top: 0;
      right: -600px;
      transition: 0.3s right cubic-bezier(0.45, 0.05, 0.55, 0.95);
  }


  #mySidebar button, #mySidebar a {
    max-width: 95%;
    margin: 17px auto 0;
    padding: 5px 5px 5px 10px;
		color: #515151;
  }

  #home_middle {
      /* background: rgba(128, 215, 255, 0.9); */
      background-color: rgb(255 255 255 / 71%);
      text-align: center;
      /* color: #537381; */
      color: var(--bluegr);
      padding: 0px 85px 30px;
      line-height: 10px;
      border-radius: 4px;
      transition: box-shadow 0.4s, background-color 0.4s;
  }
  #home_middle:hover {
    background-color: #fff;
  }

  #edito {
    border-radius: 4px;

    width: 75%;
    max-width: 97%;

    margin-top: 0;
    margin-right: auto;
    margin-left: auto;

    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%,10%);
    -ms-transform: translate(-50%,-50%);

    z-index: 1;
    opacity: 0;
    transition: opacity 0.5s;
  }
  #edito p {
      font-size: 22px;
      font-size: 1.1em;
      color: #537381;
      margin: 0;
      line-height: 35px;
      font-weight: 600;
  }

section {
    margin: 50px 20px 0;
}
section p {
	font-size: 20px;
  font-weight: 400;
  letter-spacing: 0;
  color: #515151;
  margin: 20px 0 0;
}
/* SLIDE SHOW IMGS  */
#slides {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    align-content: center;
    margin: 20px 0 0;
}
.slide_item {
    position: relative;
    cursor: pointer;
    margin: 0 0 10px;
    overflow: hidden;
}
.slide_legend {
		position: absolute;
		width: 100%;
		top: -300px;
		left: 0;
		transition: top 0.4s cubic-bezier(0.22, 0.61, 0.36, 1);
}
.slide_item img {
    width: 280px;
}

/* ASSO  */
#staff {
	margin-top: 50px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  align-items: stretch;
}
#staff .staff_item {
    max-width: 265px;
    margin: 0 1% 1%;
}
#staff img {
    border: 1px solid #a4a4a4;
    border-radius: 50%;
    margin: 0 auto;
    display: block;
    width: 97%;
}

  /* ONE ARTICLE */
  .summary_btn {
      color: var(--bluegr);
  }
  .block_title_img {
    position: relative;
    padding: 16px 16px 8px;
    background: #1c2123;
    text-align: center;
  }
  .title_article {
    /* color: #537381; */
    color: var(--bluegr);
    position: absolute;
    left: 50%;
    transform: TranslateX(-50%) TranslateY(-50%);
    top: 50%;
    background: rgb(255 255 255 / 82%);
    border-radius: 4px;
    padding: 1% 2%;
    max-width: 90%;
    width: 90%;
  }
  .block_imgs {
    padding: 8px 16px 16px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    background: #1c2123;
  }
  .imgs_article {
    width: 20%;
  }

  /* MESSAGE RENDER  */
  #mess_render {
	    z-index: 150;
	    position: fixed;
	    top: -600px;
	    left: 50%;
	    width: 100%;
	    max-width: 1200px;
	    margin: 0 auto;
	    transform: translateX(-50%);
	}
  #mess_render_block {
    background: rgba(255, 255, 255, 1);
    width: 600px;
    margin: 0 auto;
    max-width: 90%;
    box-shadow: 4px 3px 7px 1px rgb(74 74 74 / 30%), -2px 3px 6px 3px rgb(74 74 74 / 30%);
  }

  #close_alert, .close_alert {
    float: right;
    background: rgb(132 132 132);
    padding: 6px 15px 4px;
    font-size: 16px;
    color: rgb(255 255 255);
    cursor: pointer;
  }

  #mess_render_content {
	    padding: 60px 26px 35px;
	    text-align: center;
	    line-height: 36px;
	    font-size: 22px;
	}
  /* END MESSAGE RENDER  */


  /* MEDIA QUERYS MOBILES  */
  @media (max-width: 767px) {


      header h1 {
			    font-size: 1.2em;
			    padding: 0 !important;
			}
      .slide_item img {
			    width: 100%;
			}
      h2 {
			    font-size: 24px;
			}
			section p {
				font-size: 18px;
			}
			#staff .staff_item {
			    max-width: inherit;
			    width: 97%;
			    margin: 0 auto 1%;
			}
			footer {
			    margin-top: 50px;
			    display: flex;
			    flex-wrap: wrap;
			    align-content: center;
			    flex-direction: column;
			    align-items: stretch;
			}
			footer > div {
			    margin: 16px 0;
			}
			footer div:nth-child(1) {
			    order: 2;
					line-height: 38px;
			}
			footer div:nth-child(2) {
			    order: 3;
			}
			footer div:nth-child(3) {
			    order: 1;
			}
			footer p {
				margin: 0;
			}


  }
  /* END MEDIA QUERYS MOBILES  */
